%define aurox_ver 11.0
%define rel 1

%define DRV_VERSION 2.1.1

%define kversion 2.6.12
%define krelver 11.0.aur.2

Summary: Utilities for Eagle driven USB modem
Name: eagle-usb
Version: %{DRV_VERSION}
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Group: System Environment/Base
Source0: %{name}-%{version}.tar.bz2
Source1: sagem_install
Source2: sagem-pppoa.in
Source3: hotplug
Source4: eagle-usb.conf.in
Patch: eagle-usb-depmod.patch
URL: http://www.eagle-usb.org
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: kernel = %{kversion}-%{krelver}
BuildRequires: kernel-smp = %{kversion}-%{krelver}
BuildRequires: kernel-devel = %{kversion}-%{krelver}
BuildRequires: kernel-smp-devel = %{kversion}-%{krelver}
Obsoletes: adiusbadsl, eagle

%description
This is an enhanced version of the Linux driver for DSL modems based
on the Analog chipset Eagle 8051. The Sagem F@st 800 modem as well as
USRobotics DSL modems are based on this chipset.

%package tools
Summary: Utilities for the Eagle USB DSL modems
Group: System Environment/Base
Requires: ppp, hotplug
Requires: system-config-adsl
Requires: eagle-usb-dsp

%description tools
This is an enhanced version of the Linux driver for DSL modems based
on the Analog chipset Eagle 8051. The Sagem F@st 800 modem as well as
USRobotics DSL modems are based on this chipset.

This package contains tools needed to use the Sagem modems in Aurox 
installations.

%package dsp
Summary: DSP microcode for the Eagle USB DSL modems
Group: System Environment/Base
License: Distributable
Requires: hotplug >= 3:2004_04_01-5

%description dsp
This is an enhanced version of the Linux driver for DSL modems based
on the Analog chipset Eagle 8051. The Sagem F@st 800 modem as well as
USRobotics DSL modems are based on this chipset.

This package contains the microcode (firmware) that Eagle-based USB modems need.

%package kernel
Summary: Kernel module for the Eagle USB DSL modems
Group: System Environment/Kernel
PreReq: /sbin/depmod
Provides: kernel-modules
Requires: kernel = %{kversion}-%{krelver}, eagle-usb-tools = %{DRV_VERSION}
Version: %{kversion}
Release: 0.aur.%{rel}

%description kernel
This package provides the kernel driver for the Eagle-based USB DSL modems 
(e.g. Sagem F@st 800).

%package kernel-smp
Summary: SMP kernel module for the Eagle USB DSL modems
Group: System Environment/Kernel
PreReq: /sbin/depmod
Provides: kernel-modules
Provides: eagle-usb-kernel
Requires: kernel-smp = %{kversion}-%{krelver}, eagle-usb-tools = %{DRV_VERSION}
Version: %{kversion}
Release: 0.aur.%{rel}

%description kernel-smp
This package provides the SMP kernel driver for the Eagle-based USB DSL modems 
(e.g. Sagem F@st 800).

%prep
%setup -q
%patch -p1

%build
BuildModule() {
	make %{?_smp_mflags}
}

%configure --with-kernel-src=/lib/modules/%{kversion}-%{krelver}$1/build

# See if SMP config is available: we want to build both SMP and UP modules for 
# a given architecture in one pass if possible.
if [ -d /lib/modules/%{kversion}-%{krelver}smp ]; then # FIXME
	BuildModule smp
	mv driver/eagle-usb.ko driver/eagle-usb-smp.ko
fi
BuildModule

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT -C doc install
# the module needs to be stripped anyway, so make it executable
install -D driver/eagle-usb.ko $RPM_BUILD_ROOT/lib/modules/%{kversion}-%{krelver}/misc/eagle-usb.ko
# install the SMP module
if [ -f driver/eagle-usb-smp.ko ]; then
        install -D driver/eagle-usb-smp.ko $RPM_BUILD_ROOT/lib/modules/%{kversion}-%{krelver}smp/misc/eagle-usb.ko
fi
install -D -m755 %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/system-config-adsl/sagem_install
install -D -m644 %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/system-config-adsl/sagem/sagem-pppoa.in
install -D -m755 %{SOURCE3} $RPM_BUILD_ROOT/%{_datadir}/system-config-adsl/sagem/hotplug
install -D -m644 %{SOURCE4} $RPM_BUILD_ROOT/%{_datadir}/system-config-adsl/sagem/eagle-usb.conf.in

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{_tmppath}/linux-%{kversion}-%{krelver}

# This is hackish but rpmbuild won't accept arch-conditional subpackages
%ifarch i386
%files tools
%undefine __check_files
%defattr(0644,root,root)
%{_mandir}/man8/eaglectrl.8*
%{_mandir}/man8/eaglediag.8*
%{_mandir}/man8/eaglestat.8*
%{_mandir}/man8/eagletestconnec.8*
%{_mandir}/man8/pppoa.8*

%attr(0755,root,root) %{_sbindir}/eaglectrl
%attr(0755,root,root) %{_sbindir}/eaglediag
%attr(0755,root,root) %{_sbindir}/eaglestat
%attr(0755,root,root) %{_sbindir}/eagletestconnec
%attr(0755,root,root) %{_sbindir}/pppoa

%attr(0755,root,root) %{_datadir}/system-config-adsl/sagem_install
%{_datadir}/system-config-adsl/sagem/sagem-pppoa.in
%attr(0755,root,root) %{_datadir}/system-config-adsl/sagem/hotplug
%{_datadir}/system-config-adsl/sagem/eagle-usb.conf.in

%dir %{_sysconfdir}/%{name}

%files dsp
%undefine __check_files
%defattr(0644,root,root)
%dir %{_datadir}/%{name}/dsp
%{_datadir}/%{name}/dsp/dsp_code_pots.bin
%{_datadir}/%{name}/dsp/dsp_code_isdn.bin
%endif

%ifnarch i386
%files kernel
%undefine __check_files
%defattr(0644,root,root)
/lib/modules/%{kversion}-%{krelver}/misc/eagle-usb.*
%ifnarch i586 # no SMP modules for those
%files kernel-smp
%undefine __check_files
%defattr(0644,root,root)
/lib/modules/%{kversion}-%{krelver}smp/misc/eagle-usb.*
%endif # i586
%endif # i386

%post kernel
/sbin/depmod -a

%post kernel-smp
/sbin/depmod -a

%postun kernel
/sbin/depmod -a

%postun kernel-smp
/sbin/depmod -a

%changelog
* Sun Feb 13 2005 Olivier Borowski <coin@tuxfamily.org> 2.1.1
- ChangeLog: check http://www.eagle-usb.org

* Sun Nov 07 2004 Olivier Borowski <coin@tuxfamily.org> 2.0.0

* Sun Sep 29 2004 Olivier Borowski <coin@tuxfamily.org> 1.9.9.1

* Tue Jun 08 2004 Olivier Borowski <coin@tuxfamily.org> 1.9.8

* Mon Mar 22 2004 Olivier Borowski <coin@tuxfamily.org> 1.9.7
- separate eagleconfig into two parts
- change hotplug scripts location
- improved uninstall method
- minor changes & bugfixes...

* Wed Mar 04 2004 Frederic Hermann <Frederic.Hermann@neptune.fr> 1.9.6-2
- Change "/usr/local/sbin" to "%{prefix}"
- Use default rpm "./configure" values
- replace "/etc" by "%{sysconfdir}"

* Fri Feb 20 2004 Olivier Borowski <coin@tuxfamily.org> 1.9.6
- ChangeLog: check http://www.eagle-usb.org

* Sat Feb 14 2004 Olivier Borowski <coin@tuxfamily.org> 1.9.5
- ChangeLog: check http://www.eagle-usb.org

* Mon Dec 22 2003 Herv Guehl <herve@linusk.net> 1.9.0
- Initial Revision (RH9.0 - kernel2.6)

